Index: LMDZ5/branches/testing/libf/phylmd/cv3a_uncompress.F
===================================================================
--- LMDZ5/branches/testing/libf/phylmd/cv3a_uncompress.F	(revision 1750)
+++ LMDZ5/branches/testing/libf/phylmd/cv3a_uncompress.F	(revision 1795)
@@ -10,23 +10,21 @@
      :         ,asupmaxmin
 !
-     :         ,da,phi                               !AC!
-     :         ,mp,phi2,d1a,dam,sigij                  !RomP
-     :         ,wdtrainA,wdtrainM,elij,clw           !RomP
-     :         ,evap,ep                              !RomP
+     :          ,da,phi,mp,phi2,d1a,dam,sigij         ! RomP+AC+jyg
+     :          ,clw,elij,evap,ep,epmlmMm,eplaMm      ! RomP
+     :          ,wdtrainA,wdtrainM                    ! RomP
 !
      o         ,iflag1,kbas1,ktop1
-     :         ,precip1,cbmf1,plcl1,plfc1,wbeff1,sig1,w01,ptop21
-     :         ,ft1,fq1,fu1,fv1,ftra1
-     :         ,sigd1,Ma1,mip1,Vprecip1,upwd1,dnwd1,dnwd01
-     :         ,qcondc1,wd1,cape1,cin1
-     :         ,tvp1
-     :         ,ftd1,fqd1
-     :         ,Plim11,Plim21,asupmax1,supmax01
-     :         ,asupmaxmin1     
-!
-     o         ,da1,phi1                             !AC!
-     o         ,mp1,phi21,d1a1,dam1,sigij1             !RomP
-     o         ,wdtrainA1,wdtrainM1,elij1,clw1       !RomP
-     o         ,evap1,ep1)                           !RomP
+     o         ,precip1,cbmf1,plcl1,plfc1,wbeff1,sig1,w01,ptop21
+     o         ,ft1,fq1,fu1,fv1,ftra1
+     o         ,sigd1,Ma1,mip1,Vprecip1,upwd1,dnwd1,dnwd01
+     o         ,qcondc1,wd1,cape1,cin1
+     o         ,tvp1
+     o         ,ftd1,fqd1
+     o         ,Plim11,Plim21,asupmax1,supmax01
+     o         ,asupmaxmin1     
+!
+     o          ,da1,phi1,mp1,phi21,d1a1,dam1,sigij1  ! RomP+AC+jyg
+     o          ,clw1,elij1,evap1,ep1,epmlmMm1,eplaMm1! RomP
+     o          ,wdtrainA1,wdtrainM1)                 ! RomP
 !
 ***************************************************************
@@ -67,8 +65,9 @@
       real phi2(nloc,nd,nd)                               !RomP
       real d1a(nloc,nd),dam(nloc,nd)                      !RomP
+      real sigij(nloc,nd,nd)                              !RomP
+      real clw(nloc,nd),elij(nloc,nd,nd)                  !RomP
+      real evap(nloc,nd),ep(nloc,nd)                      !RomP
+      real epmlmMm(nloc,nd,nd),eplaMm(nloc,nd)            !RomP+jyg
       real wdtrainA(nloc,nd), wdtrainM(nloc,nd)           !RomP
-      real sigij(nloc,nd,nd)                                !RomP
-      real elij(nloc,nd,nd),clw(nloc,nd)                  !RomP
-      real evap(nloc,nd),ep(nloc,nd)                      !RomP
 !
 c outputs:
@@ -94,12 +93,14 @@
       real phi21(nloc,nd,nd)                              !RomP
       real d1a1(nloc,nd),dam1(nloc,nd)                    !RomP
+      real sigij1(len,nd,nd)                              !RomP
+      real clw1(len,nd),elij1(len,nd,nd)                  !RomP
+      real evap1(len,nd),ep1(len,nd)                      !RomP
+      real epmlmMm1(len,nd,nd),eplaMm1(len,nd)            !RomP+jyg
       real wdtrainA1(len,nd), wdtrainM1(len,nd)           !RomP
-      real sigij1(len,nd,nd)                                !RomP
-      real elij1(len,nd,nd),clw1(len,nd)                  !RomP
-      real evap1(len,nd),ep1(len,nd)                      !RomP
 !
 c
 c local variables:
-      integer i,k,j,k1,k2
+      integer i,k,j
+cc    integer k1,k2
 
         do 2000 i=1,ncum
@@ -147,9 +148,10 @@
             d1a1(idcum(i),k)     = d1a(i,k)               !RomP
             dam1(idcum(i),k)     = dam(i,k)               !RomP
-            wdtrainA1(idcum(i),k)= wdtrainA(i,k)          !RomP
-            wdtrainM1(idcum(i),k)= wdtrainM(i,k)          !RomP
             clw1(idcum(i),k)     = clw(i,k)               !RomP
             evap1(idcum(i),k)    = evap(i,k)              !RomP
             ep1(idcum(i),k)      = ep(i,k)                !RomP
+            eplaMm(idcum(i),k)   = eplaMm(i,k)            !RomP+jyg
+            wdtrainA1(idcum(i),k)= wdtrainA(i,k)          !RomP
+            wdtrainM1(idcum(i),k)= wdtrainM(i,k)          !RomP
 !
  2010    continue
@@ -171,11 +173,12 @@
 
 !AC!
-       do k2=1,nd
-         do k1=1,nd 
+       do j=1,nd
+         do k=1,nd 
           do i=1,ncum
-            phi1(idcum(i),k1,k2)=phi(i,k1,k2)                 !AC!
-            phi21(idcum(i),k1,k2)= phi2(idcum(i),k1,k2)   !RomP
-            sigij1(idcum(i),k1,k2) = sigij(idcum(i),k1,k2)    !RomP
-            elij1(idcum(i),k1,k2)= elij(idcum(i),k1,k2)   !RomP
+            phi1(idcum(i),k,j)   = phi(i,k,j)           !AC!
+            phi21(idcum(i),k,j)  = phi2(i,k,j)          !RomP
+            sigij1(idcum(i),k,j) = sigij(i,k,j)         !RomP
+            elij1(idcum(i),k,j)  = elij(i,k,j)          !RomP
+            epmlmMm(idcum(i),k,j)= epmlmMm(i,k,j)       !RomP+jyg
           end do
          end do
